#ifndef SHAPE_H
#define SHAPE_H

#include <QGraphicsRectItem>
#include <QGraphicsEllipseItem>

class Rectangle : public QGraphicsRectItem
{
protected:
    void dragEnterEvent (QGraphicsSceneDragDropEvent *event);
    void dropEvent (QGraphicsSceneDragDropEvent *event);
public:
    Rectangle ();
};

class Ellipse : public QObject, public QGraphicsEllipseItem
{
protected:
    void dragEnterEvent (QGraphicsSceneDragDropEvent * event);
    void dropEvent (QGraphicsSceneDragDropEvent * event);
public:
    Ellipse ();
};

class Plane : public  QGraphicsRectItem
{
protected:
    void dragEnterEvent (QGraphicsSceneDragDropEvent *event);
    void dropEvent (QGraphicsSceneDragDropEvent *event);
public:
   Plane ();
};



const QString shape_format = "application/x-shape";

#endif // SHAPE_H
