#include "shapebutton.h"
#include "shape.h"

#include <QDrag>
#include <QMimeData>

ShapeButton::ShapeButton (QString n)
  : name (n)
{
    setText (name);
    setToolTip (name);
}

void ShapeButton::mousePressEvent (QMouseEvent *event)
{
    QDrag * drag = new QDrag (this);
    QMimeData * data = new QMimeData ();
    data->setData (shape_format, name.toLatin1());
    drag->setMimeData (data);
    drag->start ();
}


