#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

#include <QToolButton>
#include <QTreeWidgetItem>
#include <QTableWidgetItem>

#include <QGraphicsScene>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    static MainWindow * instance;
    ~MainWindow();

private slots:
    void on_actionOpen_triggered();
    void on_actionSave_triggered();
    void on_actionQuit_triggered();

    void on_actionCopy_triggered();
    void on_actionPaste_triggered();

    void scene_selection_changed ();

private:
    Ui::MainWindow * ui;

    QGraphicsScene * scene;
    QGraphicsItem * current_item;


};

#endif // MAINWINDOW_H
